import os

proc boolEnvOrDefault(envName: string, default: bool): bool =
  if getEnv(envName) == "false":
    return false
  elif getEnv(envName) == "true":
    return true
  else:
    return default

proc strEnvOrDefault(envName: string, default: string): string =
  if existsEnv(envName):
    return getEnv(envName)
  else:
    return default

export boolEnvOrDefault, strEnvOrDefault
