# View definition where the fuctions for prologue will all be stashed

import prologue
import nimja/parser
import formatter

proc renderTemplate(templateName: static[string]): string =
  logPrint("Served template " & templateName, "Web")
  compileTemplateFile(getScriptDir() & "/templates/" & templateName)

proc getIndex*(ctx: Context) {.async.} =
  resp renderTemplate(templateName="index.nwt")

proc getAbout*(ctx: Context) {.async.} =
  resp renderTemplate(templateName="about.nwt")

export getIndex, getAbout
