# Handles user management. And hopefully stuff like proper password hashing at some point in the future.

import db
import formatter

proc addUser(username: string, displayname: string, password: string): bool =
  # Hopefully hashing and stuff will be implemented here at some point
  return createUser(username=username, displayname=displayname, password=password)

# Extremely rudimentary, must be fixed later.
proc addUserInteractive(): bool =
  var userConsent: bool = false
  while userConsent != true:
    stdout.write "Did not find a user. Create one now? (y/n) "
    stdout.flushFile()
    var userInput = readChar(stdin)
    stdin.flushFile()
    case userInput
    of 'y', 'Y':
      userConsent = true
    of 'n', 'N':
      return false
    else:
      discard

  stdout.write "Enter a username: "
  stdout.flushFile()
  var username = readLine(stdin)
  stdin.flushFile()

  stdout.write "Enter a display name: "
  stdout.flushFile()
  var displayname = readLine(stdin)
  stdin.flushFile()

  stdout.write "Enter a password: "
  stdout.flushFile()
  var password = readLine(stdin)
  stdin.flushFile()

  if addUser(username=username, displayname=displayname, password=password):
    logPrint("User " & username & " with displayname " & displayname & " has been created", "Main")
    return true
  else:
    return false

export addUserInteractive
